Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# TQImageDrag Class Reference

The TQImageDrag class provides a drag and drop object for transferring images. More...

`#include <ntqdragobject.h>`

Inherits TQDragObject.

List of all member functions.

## Public Members

- TQImageDrag ( TQImage image, TQWidget * dragSource = 0, const char * name = 0 )
- TQImageDrag ( TQWidget * dragSource = 0, const char * name = 0 )
- ~TQImageDrag ()
- virtual void setImage ( TQImage image )

## Static Public Members

- bool canDecode ( const TQMimeSource * e )
- bool decode ( const TQMimeSource * e, TQImage & img )
- bool decode ( const TQMimeSource * e, TQPixmap & pm )

## Detailed Description

The TQImageDrag class provides a drag and drop object for transferring images.

Images are offered to the receiving application in multiple formats, determined by TQt's output formats.

For more information about drag and drop, see the TQDragObject class and the drag and drop documentation.

See also Drag And Drop Classes.

## Member Function Documentation

### TQImageDrag::TQImageDrag ( TQImage image, TQWidget * dragSource = 0, const char * name = 0 )

Constructs an image drag object and sets its data to image. dragSource must be the drag source; name is the object name.

### TQImageDrag::TQImageDrag ( TQWidget * dragSource = 0, const char * name = 0 )

Constructs a default image drag object. dragSource must be the drag source; name is the object name.

### TQImageDrag::~TQImageDrag ()

Destroys the image drag object and frees up all allocated resources.

### bool TQImageDrag::canDecode ( const TQMimeSource * e )`[static]`

Returns TRUE if the information in mime source e can be decoded into an image; otherwise returns FALSE.

See also decode().

Example: desktop/desktop.cpp.

### bool TQImageDrag::decode ( const TQMimeSource * e, TQImage & img )`[static]`

Attempts to decode the dropped information in mime source e into img. Returns TRUE if successful; otherwise returns FALSE.

See also canDecode().

Example: desktop/desktop.cpp.

### bool TQImageDrag::decode ( const TQMimeSource * e, TQPixmap & pm )`[static]`

This is an overloaded member function, provided for convenience. It behaves essentially like the above function.

Attempts to decode the dropped information in mime source e into pixmap pm. Returns TRUE if successful; otherwise returns FALSE.

This is a convenience function that converts to a TQPixmap via a TQImage.

See also canDecode().

### void TQImageDrag::setImage ( TQImage image )`[virtual]`

Sets the image to be dragged to image. You will need to call this if you did not pass the image during construction.

This file is part of the TQt toolkit. Copyright © 1995-2007 Trolltech. All Rights Reserved.